package com.gyee.runeconomy.model;


/**
 * 推荐操作
 */
public enum OperateStyle {
    /**
     * 不推荐
     */
    Nothing(0),
    /**
     * 推荐启动
     */
    Start(1),
    /**
     * 停机
     */
    Stop(2),
    LimitSpeed(3),
    LimitPower(4),
    Reset(5),
    /**
     * 维护
     */
    Maintain(6),
    ResetMax(7),
    /**
     * 取消维护
     */
    UnMaintain(8),
    /**
     * 挂牌
     */
    Lock(9),
    /**
     * 取消挂牌
     */
    UnLock(10),
    Unknow(11);

    private final int value;

    OperateStyle(int value) {
        this.value = value;
    }

    public int getValue() {
        return value;
    }
}
